IEEE1394Node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware
Interface IEEE1394Node

    public interface IEEE1394Node

This interface represents the information on a 1394 node.

Method Summary
`byte[]` | `getEUI64()` Returns the value of EUI-64 of the 1394 node.
`String` | `getModelName()` Returns the value of MODEL NAME TEXTUAL DESCRIPTOR of the 1394 node.
`short[]` | `getSubunitType()` Returns the list of subunitTypes supported by the 1394 node.
`String` | `getVendorName()` Returns the value of VENDOR NAME TEXTUAL DESCRIPTOR of the 1394 node.

Method Detail

### getEUI64

    byte[] getEUI64()

  Returns the value of EUI-64 of the 1394 node. EUI-64 is defined in IEEE Std 1394-1995.

  Returns:
    an unsigned big endian 64-bits value of EUI-64 of the 1394 node.
  Throws:
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort").

### getModelName

    String getModelName()

  Returns the value of MODEL NAME TEXTUAL DESCRIPTOR of the 1394 node. MODEL NAME TEXTUAL DESCRIPTOR is defined in EIA-775-A.

  Returns:
    the value of MODEL NAME TEXTUAL DESCRIPTOR of the 1394 node. If the 1394 node does not have the MODEL NAME TEXTUAL DESCRIPTOR, null is returned.
  Throws:
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort").

### getVendorName

    String getVendorName()

  Returns the value of VENDOR NAME TEXTUAL DESCRIPTOR of the 1394 node. VENDOR NAME TEXTUAL DESCRIPTOR is defined in EIA-775-A.

  Returns:
    the value of VENDOR NAME TEXTUAL DESCRIPTOR of the 1394 node If the 1394 node does not have the VENDOR NAME TEXTUAL DESCRIPTOR, null is returned.
  Throws:
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort").

### getSubunitType

    short[] getSubunitType()

  Returns the list of subunitTypes supported by the 1394 node.

  Returns:
    the list of subunitTypes supported by the 1394 node. The subunit type is defined in EIA-775-A.
  Throws:
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD